Bug 141081 - usb-storage / dvd+rw writer ONE USE ONLY
usb-storage / dvd+rw writer ONE USE ONLY
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-28 23:17 EST by Stig Hackvan
Modified: 2015-01-04 17:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sample cdrecord --scanbus output (7.23 KB, text/plain)
2004-11-28 23:18 EST, Stig Hackvan
no flags Details

  None (edit)
Description Stig Hackvan 2004-11-28 23:17:07 EST
Description of problem:

there are several bugs relating to usb-storage and LITE-ON DVD+RW
drives, but this is a behavior not reported in the others AFAIK:

fresh reboot on kernel 2.6.9-1.681_FC3 with all devices off.  turn on
external USB lite-on dvd+rw drive.  detects ok.  run cdrecord -scanbus
to find the device.  write an audio cd in TAO mode once...  run
cdrecord -scanbus afterward and the device is listed as garbled
nonsense.  repeat, multiple times to get different nonsense...  (no
complaints from the kernel in the system logs)

I'll upload some sample output in a moment...
Comment 1 Stig Hackvan 2004-11-28 23:18:28 EST
Created attachment 107520 [details]
sample cdrecord --scanbus output
Comment 2 Jeff Cheng 2004-12-01 18:55:45 EST
I have similar problems with growisofs.  I use a ieee1394 NEC DVD+RW
with a Western Digital usb2 hard drive, and after the first burn
session, everything else fails until next reboot.  Also, I get the
same garbage with "cdrecord -scanbus".
Comment 3 Jeff Cheng 2004-12-12 02:39:41 EST
Maybe this is somehow related to bug#136665 and not just a usb-storage

Stig: Have you tried dvd+rw's, because they seem to burn just fine for
me using growisofs across multiple sessions, just like cdr/cdrw's. 
Only dvd+r's are affected.  I don't have any dvd-r/dvd-rw's so I can't
report on those.
Comment 4 Jeff Cheng 2005-01-01 11:35:34 EST
Seems to be fixed with kernel-2.6.9-1.698_FC3.
Comment 5 steve boley 2005-01-08 00:30:37 EST
Seems to be a lot of badness going on in fc3 with both scsi and ide layers and
having to do with dvd-rom, dvdrw, and scd access across multiple platforms. I
took the hal daemon out of the picture and still had multiple problems and my
dvd-rom will read up to a specific point and start spewing drive and bus resets
at the exact same point everytime no matter what dvd it is. Funny that some
applications can rip and access it fine but others can't. dvd::rip is one that
can access it all the time as well as avidemux. I've heard reports that all this
started at 2.6.9 kernel tree from kernel.org as well so they've messed with
something that down in the scsi and ide layers during certain types of access
calls goes way south. There were some posts on another forum where Alan Cox is
looking at the same types of issues and the same errors and maybe you can get
with him Dave.
Comment 6 Alan Cox 2005-01-08 09:56:30 EST
The scanbus results look like a USB transport layer problem.  Anyone finding
this bug and seeing similar results on IDE - please don't attach IDE related
reports to this bug but to IDE ones (or open a new bug if in doubt)

Comment 7 Dave Jones 2005-07-15 16:12:37 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Dave Jones 2005-10-02 20:52:11 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.